# permissions for end users to edit myapps.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/name: clusterrole
    app.kubernetes.io/instance: myapp-editor-role
    app.kubernetes.io/component: rbac
    app.kubernetes.io/created-by: my-operator
    app.kubernetes.io/part-of: my-operator
    app.kubernetes.io/managed-by: kustomize
  name: myapp-editor-role
rules:
- apiGroups:
  - example.stammkneipe.dev
  resources:
  - myapps
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - example.stammkneipe.dev
  resources:
  - myapps/status
  verbs:
  - get
